#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n,q,l,r;
    cin>>n;
    int a[n];
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
    }
    cin>>q;
    for(int br=0;br<q;br++)
    {
        cin>>l>>r;
            int s=0;
            for(int i=l-1;i<r-1;i++)
            {
                if(a[i]>a[i+1])
                {
                    s++;
                    if(s==2)
                    {
                        cout<<"NE";
                        break;
                    }
                }
            }
            if(s<2) cout<<"DA";
        
    }
    return 0;
}